/*
 * GXMame
 *
 * 2002, 2003, Stphane Pontier <shadow_walker@users.sourceforge.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "unzip.h"

GtkWidget *MainWindow;

void create_Menu (void);
void create_filtersTreeContent (void);

void hide_filters (void);
void show_filters (void);

void hide_snaps (void);
void show_snaps (void);

void init_gui(void);

void create_gamelist_content (void);
void set_icon(GtkWidget * widget, const gchar * name);

void display_small_icon_list (void);
void display_details_list (void);
void display_indented_list(void);
void display_indented2_list(void);
void list_example (void);

void hide_toolbar (void);
void show_toolbar (void);
void hide_status_bar (void);
void show_status_bar (void);
void show_progress_bar(void);
void hide_progress_bar(void);
void update_progress_bar(gfloat current_value);
void update_game_in_list (guint position);


GtkWidget *select_inp (RomEntry *Rom,gboolean play_record);
/* to add the dropbox from the directory.c whenn changing list*/
void add_exec_dropbox(void);

GdkPixbuf *get_icon_for_rom(RomEntry *rom, guint size, ZIP *zip);
GdkPixbuf *get_icon_for_name(gchar *name, guint size, ZIP *zip,  char **alternative);
		
		
